# waw love
[waw](https://webart.work) is the open-source web, mobile and desktop app development framework that makes it easy to
build top quality web apps with web technologies.

## Getting Started
### Framework installation which require node.js
`npm i -g waw`
### Verify waw is installed and check waw version
`waw version`
### Create new waw project
`waw new`
### To update waw framework and global modules
`waw update`
## Popular Modules
| Part | Description | Issues | Forks | Stars | License |
| ------- | ------- | ------- | ------- | ------- |:-----:|
| [**`Core`**](https://github.com/WebArtWork/core) | Core waw functionalities for handling project | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/core)](https://github.com/WebArtWork/core/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/core)](https://github.com/WebArtWork/core/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/core)](https://github.com/WebArtWork/core/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/core)](https://github.com/WebArtWork/core/blob/master/LICENSE)
| [**`SEM`**](https://github.com/WebArtWork/sem) | Sockets, Express and Mongodb tech stack | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/sem)](https://github.com/WebArtWork/sem/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/sem)](https://github.com/WebArtWork/sem/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/sem)](https://github.com/WebArtWork/sem/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/sem)](https://github.com/WebArtWork/sem/blob/master/LICENSE)
| [**`Template`**](https://github.com/WebArtWork/template) | Server Side Render for crawlers | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/template)](https://github.com/WebArtWork/template/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/template)](https://github.com/WebArtWork/template/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/template)](https://github.com/WebArtWork/template/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/template)](https://github.com/WebArtWork/template/blob/master/LICENSE)
| [**`Angular`**](https://github.com/WebArtWork/angular) | waw module to support Angular clinet | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/angular)](https://github.com/WebArtWork/angular/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/angular)](https://github.com/WebArtWork/angular/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/angular)](https://github.com/WebArtWork/angular/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/angular)](https://github.com/WebArtWork/angular/blob/master/LICENSE)
| [**`Vue`**](https://github.com/WebArtWork/vue) | waw module to support Vue clinet | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/vue)](https://github.com/WebArtWork/vue/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/vue)](https://github.com/WebArtWork/vue/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/vue)](https://github.com/WebArtWork/vue/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/vue)](https://github.com/WebArtWork/vue/blob/master/LICENSE)
| [**`React`**](https://github.com/WebArtWork/react) | waw module to support React clinet | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/react)](https://github.com/WebArtWork/react/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/react)](https://github.com/WebArtWork/react/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/react)](https://github.com/WebArtWork/react/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/react)](https://github.com/WebArtWork/react/blob/master/LICENSE)

## Popular Projects
| Part | Description | Issues | Forks | Stars | License |
| ------- | ------- | ------- | ------- | ------- |:-----:|
| [**`CSS`**](https://github.com/WebArtWork/wawcss) | Flexible CSS structure based on SCSS code. With a lot of premade templates and components with semantic, readable, and completely customizable code pieces. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawcss)](https://github.com/WebArtWork/wawcss/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawcss)](https://github.com/WebArtWork/wawcss/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawcss)](https://github.com/WebArtWork/wawcss/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawcss)](https://github.com/WebArtWork/wawcss/blob/master/LICENSE)
| [**`Angular`**](https://github.com/WebArtWork/wawNgx) | Default Angular project with basic structure and wacom module. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/blob/master/LICENSE)
| [**`Template`**](https://github.com/WebArtWork/wawTemplate) | Default Template project with basic structure. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawTemplate)](https://github.com/WebArtWork/wawTemplate/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawTemplate)](https://github.com/WebArtWork/wawTemplate/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawTemplate)](https://github.com/WebArtWork/wawTemplate/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawTemplate)](https://github.com/WebArtWork/wawTemplate/blob/master/LICENSE)
| [**`Server`**](https://github.com/WebArtWork/wawServer) | Default waw Server project with basic structure. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawServer)](https://github.com/WebArtWork/wawServer/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawServer)](https://github.com/WebArtWork/wawServer/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawServer)](https://github.com/WebArtWork/wawServer/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawServer)](https://github.com/WebArtWork/wawServer/blob/master/LICENSE)
| [**`Server with Angular and Template`**](https://github.com/WebArtWork/wawNgxPlatform) | Platform build with waw Angular, Server and Template. | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgxPlatform)](https://github.com/WebArtWork/wawNgxPlatform/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgxPlatform)](https://github.com/WebArtWork/wawNgxPlatform/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgxPlatform)](https://github.com/WebArtWork/wawNgxPlatform/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgxPlatform)](https://github.com/WebArtWork/wawNgxPlatform/blob/master/LICENSE)

## Contributing
Thanks for your interest in contributing! Read up on our guidelines for
[contributing](https://github.com/WebArtWork/waw/CONTRIBUTING.md)
and then look through our issues with a [help wanted](https://github.com/WebArtWork/waw/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22)
label.
